#include <bits/stdc++.h>

using namespace std;

bool binarnaPretraga(int n, int a[], int b, int &x){
    int l=0, r=n-1;
    while(l <= r){
        int sredina = l + (r - l) / 2;
        if(a[sredina] == b){
            x = sredina;
            return true;
        }
        if(a[sredina] < b){
            l = sredina + 1;
            x = l;
        }else
        r = sredina - 1;
    }
    return false;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q;
    cin>>n>>q;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    sort(a, a + n);

    while(q--){
        int b;
        cin>>b;
        if(a[n/2]==b){
            cout<<0<<"\n";
            continue;
        }
        int x;
        bool postoji = binarnaPretraga(n, a, b, x);
        x*=2;
        int broj=abs(x-n);
        if(x<n){
            if(postoji)
                broj--;
            else
                broj++;
        }else if(x==n)
            broj++;
        cout<<broj<<"\n";
    }
    return 0;
}